Package be.ehealth.businessconnector.genericasync.builders.impl

# Class ResponseObjectBuilderImpl

java.lang.Object
be.ehealth.businessconnector.genericasync.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  `ResponseObjectBuilder`, `ConfigurableImplementation`

public class ResponseObjectBuilderImpl extends Object implements ResponseObjectBuilder
Implementation of `ResponseObjectBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GENERICASYNC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseObjectBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getContent(MsgResponse msgResponse, String projectName)`
  `final Map<Object,SignatureVerificationResult>`
  `handleGetResponse(GetResponse getResponse)`
  Checks and validates the response of a get request.
  `final Map<Object,SignatureVerificationResult>`
  `handleGetResponse(GetResponse getResponse, String projectName)`
  `final boolean`
  `handlePostResponse(PostResponse postResponse)`
  Check the response of a post request.
  `void`
  `initialize(Map<String,Object> parameterMap)`
  initializes the implementation with additional parameters.
  `<T> ProcessedMsgResponse<T>`
  `processEncryptedResponse(MsgResponse msgResponse, String projectName, Class<T> clazz)`
  `<T> ProcessedGetResponse`
  `processResponse(GetResponse getResponse, Class<T> clazz, String projectName, String schemaLocation)`
  `SignatureVerificationResult`
  `validateMsgXadesT(Object value, byte[] xadesT, String projectName)`
  `SignatureVerificationResult`
  `validateTAckXadesT(Object value, byte[] xadesT, String projectName)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GENERICASYNC

    public static final String GENERICASYNC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

- ## Method Details

  - ### handlePostResponse

    public final boolean handlePostResponse(PostResponse postResponse) throws GenAsyncBusinessConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    Check the response of a post request. it will check if there are no errors , and return a boolean true if there were warnings in the response.
    Specified by:
      `handlePostResponse` in interface `ResponseObjectBuilder`
    Parameters:
      `postResponse` - the WS response
    Returns:
      true if error contains warnings, false if it doesn't
    Throws:
      `GenAsyncBusinessConnectorException`
    See Also:
      - `ResponseObjectBuilder.handlePostResponse(PostResponse)`

  - ### handleGetResponse

    public final Map<Object,SignatureVerificationResult> handleGetResponse(GetResponse getResponse) throws GenAsyncBusinessConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    Checks and validates the response of a get request. if there are Xades signatures , they will be validated. ( mycarenet already validates that the messages containt the xades signature if they are needed , no additional check on presence of these signatures is needed) the hashvalue check should be done seperately ( with BlobBuilder code ) while retrieving the contents of the messages.
    Specified by:
      `handleGetResponse` in interface `ResponseObjectBuilder`
    Parameters:
      `getResponse` - the WS Response
    Returns:
      when no validation failures occure the return is a Map with the responses ( TackResponse or MessageResponse ) as key and the `SignatureVerificationResult` as value
    Throws:
      `GenAsyncBusinessConnectorException` - with the results if there is a signature verification failure

  - ### handleGetResponse

    public final Map<Object,SignatureVerificationResult> handleGetResponse(GetResponse getResponse, String projectName) throws GenAsyncBusinessConnectorException
    Specified by:
      `handleGetResponse` in interface `ResponseObjectBuilder`
    Throws:
      `GenAsyncBusinessConnectorException`

  - ### processResponse

    public <T> ProcessedGetResponse processResponse(GetResponse getResponse, Class<T> clazz, String projectName, String schemaLocation) throws GenAsyncBusinessConnectorException, TechnicalConnectorException
    Specified by:
      `processResponse` in interface `ResponseObjectBuilder`
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`

  - ### processEncryptedResponse

    public <T> ProcessedMsgResponse<T> processEncryptedResponse(MsgResponse msgResponse, String projectName, Class<T> clazz) throws TechnicalConnectorException, GenAsyncBusinessConnectorException
    Specified by:
      `processEncryptedResponse` in interface `ResponseObjectBuilder`
    Throws:
      `TechnicalConnectorException`
      `GenAsyncBusinessConnectorException`

  - ### getContent

    public byte[] getContent(MsgResponse msgResponse, String projectName) throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### validateTAckXadesT

    public SignatureVerificationResult validateTAckXadesT(Object value, byte[] xadesT, String projectName) throws GenAsyncBusinessConnectorException
    Specified by:
      `validateTAckXadesT` in interface `ResponseObjectBuilder`
    Throws:
      `GenAsyncBusinessConnectorException`

  - ### validateMsgXadesT

    public SignatureVerificationResult validateMsgXadesT(Object value, byte[] xadesT, String projectName) throws GenAsyncBusinessConnectorException
    Specified by:
      `validateMsgXadesT` in interface `ResponseObjectBuilder`
    Throws:
      `GenAsyncBusinessConnectorException`

  - ### initialize

    public void initialize(Map<String,Object> parameterMap) throws TechnicalConnectorException
    Description copied from interface: `ConfigurableImplementation`
    initializes the implementation with additional parameters.
    Specified by:
      `initialize` in interface `ConfigurableImplementation`
    Parameters:
      `parameterMap` - Map with for each propertyString ,the input parameter as Object.
    Throws:
      `TechnicalConnectorException` - if the parameterMap is not correct.
    See Also:
      - `ConfigurableImplementation.initialize(java.util.Map)`